Package com.google.protobuf

# Class DescriptorProtos.FieldOptions

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.GeneratedMessage.ExtendableMessage<DescriptorProtos.FieldOptions>
com.google.protobuf.DescriptorProtos.FieldOptions

All Implemented Interfaces:
  `DescriptorProtos.FieldOptionsOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `DescriptorProtos`

public static final class DescriptorProtos.FieldOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.FieldOptions> implements DescriptorProtos.FieldOptionsOrBuilder
Protobuf type `google.protobuf.FieldOptions`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.FieldOptions.Builder`
Protobuf type `google.protobuf.FieldOptions`
`static enum`
`DescriptorProtos.FieldOptions.CType`
Protobuf enum `google.protobuf.FieldOptions.CType`
`static final class`
`DescriptorProtos.FieldOptions.EditionDefault`
Protobuf type `google.protobuf.FieldOptions.EditionDefault`
`static interface`
`DescriptorProtos.FieldOptions.EditionDefaultOrBuilder`
`static final class`
`DescriptorProtos.FieldOptions.FeatureSupport`
Protobuf type `google.protobuf.FieldOptions.FeatureSupport`
`static interface`
`DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
`static enum`
`DescriptorProtos.FieldOptions.JSType`
Protobuf enum `google.protobuf.FieldOptions.JSType`
`static enum`
`DescriptorProtos.FieldOptions.OptionRetention`
Protobuf enum `google.protobuf.FieldOptions.OptionRetention`
`static enum`
`DescriptorProtos.FieldOptions.OptionTargetType`
Protobuf enum `google.protobuf.FieldOptions.OptionTargetType`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`GeneratedMessage.ExtendableMessage.ExtensionSerializer, GeneratedMessage.ExtendableMessage.ExtensionWriter`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CTYPE_FIELD_NUMBER`
`static final int`
`DEBUG_REDACT_FIELD_NUMBER`
`static final int`
`DEPRECATED_FIELD_NUMBER`
`static final int`
`EDITION_DEFAULTS_FIELD_NUMBER`
`static final int`
`FEATURE_SUPPORT_FIELD_NUMBER`
`static final int`
`FEATURES_FIELD_NUMBER`
`static final int`
`JSTYPE_FIELD_NUMBER`
`static final int`
`LAZY_FIELD_NUMBER`
`static final int`
`PACKED_FIELD_NUMBER`
`static final int`
`RETENTION_FIELD_NUMBER`
`static final int`
`TARGETS_FIELD_NUMBER`
`static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`static final int`
`UNVERIFIED_LAZY_FIELD_NUMBER`
`static final int`
`WEAK_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`DescriptorProtos.FieldOptions.CType`
`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`getDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`static DescriptorProtos.FieldOptions`
`getDefaultInstance()`
`DescriptorProtos.FieldOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`boolean`
`getDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`DescriptorProtos.FieldOptions.EditionDefault`
`getEditionDefaults(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`int`
`getEditionDefaultsCount()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`List<DescriptorProtos.FieldOptions.EditionDefault>`
`getEditionDefaultsList()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.EditionDefaultOrBuilder`
`getEditionDefaultsOrBuilder(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`List<? extends DescriptorProtos.FieldOptions.EditionDefaultOrBuilder>`
`getEditionDefaultsOrBuilderList()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.FeatureSupport`
`getFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
`getFeatureSupportOrBuilder()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.JSType`
`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`getLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`getPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`Parser<DescriptorProtos.FieldOptions>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`DescriptorProtos.FieldOptions.OptionRetention`
`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`DescriptorProtos.FieldOptions.OptionTargetType`
`getTargets(int index)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`int`
`getTargetsCount()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`List<DescriptorProtos.FieldOptions.OptionTargetType>`
`getTargetsList()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`getUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`getWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`boolean`
`hasCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`hasDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`boolean`
`hasFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`hasLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`hasPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`boolean`
`hasRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`boolean`
`hasUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`hasWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.FieldOptions.Builder`
`newBuilder()`
`static DescriptorProtos.FieldOptions.Builder`
`newBuilder(DescriptorProtos.FieldOptions prototype)`
`DescriptorProtos.FieldOptions.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.FieldOptions.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static DescriptorProtos.FieldOptions`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.FieldOptions`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions`
`parseFrom(byte[] data)`
`static DescriptorProtos.FieldOptions`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions`
`parseFrom(ByteString data)`
`static DescriptorProtos.FieldOptions`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.FieldOptions`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions`
`parseFrom(InputStream input)`
`static DescriptorProtos.FieldOptions`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FieldOptions`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.FieldOptions`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.FieldOptions>`
`parser()`
`DescriptorProtos.FieldOptions.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`extensionsAreInitialized, extensionsSerializedSize, extensionsSerializedSizeAsMessageSet, getAllFields, getAllFieldsRaw, getExtension, getExtension, getExtensionCount, getExtensionFields, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasField, newExtensionSerializer, newExtensionWriter, newMessageSetExtensionSerializer, newMessageSetExtensionWriter`

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getDescriptorForType, getOneofFieldDescriptor, getUnknownFields, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### CTYPE_FIELD_NUMBER

public static final int CTYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PACKED_FIELD_NUMBER

public static final int PACKED_FIELD_NUMBER

See Also:
  - Constant Field Values

### JSTYPE_FIELD_NUMBER

public static final int JSTYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### LAZY_FIELD_NUMBER

public static final int LAZY_FIELD_NUMBER

See Also:
  - Constant Field Values

### UNVERIFIED_LAZY_FIELD_NUMBER

public static final int UNVERIFIED_LAZY_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEPRECATED_FIELD_NUMBER

public static final int DEPRECATED_FIELD_NUMBER

See Also:
  - Constant Field Values

### WEAK_FIELD_NUMBER

public static final int WEAK_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEBUG_REDACT_FIELD_NUMBER

public static final int DEBUG_REDACT_FIELD_NUMBER

See Also:
  - Constant Field Values

### RETENTION_FIELD_NUMBER

public static final int RETENTION_FIELD_NUMBER

See Also:
  - Constant Field Values

### TARGETS_FIELD_NUMBER

public static final int TARGETS_FIELD_NUMBER

See Also:
  - Constant Field Values

### EDITION_DEFAULTS_FIELD_NUMBER

public static final int EDITION_DEFAULTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### FEATURES_FIELD_NUMBER

public static final int FEATURES_FIELD_NUMBER

See Also:
  - Constant Field Values

### FEATURE_SUPPORT_FIELD_NUMBER

public static final int FEATURE_SUPPORT_FIELD_NUMBER

See Also:
  - Constant Field Values

### UNINTERPRETED_OPTION_FIELD_NUMBER

public static final int UNINTERPRETED_OPTION_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasCtype

public boolean hasCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Specified by:
  `hasCtype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the ctype field is set.

### getCtype

public DescriptorProtos.FieldOptions.CType getCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Specified by:
  `getCtype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The ctype.

### hasPacked

public boolean hasPacked()
`optional bool packed = 2 [json_name = "packed"];`

Specified by:
  `hasPacked` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the packed field is set.

### getPacked

public boolean getPacked()
`optional bool packed = 2 [json_name = "packed"];`

Specified by:
  `getPacked` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The packed.

### hasJstype

public boolean hasJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Specified by:
  `hasJstype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the jstype field is set.

### getJstype

public DescriptorProtos.FieldOptions.JSType getJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Specified by:
  `getJstype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The jstype.

### hasLazy

public boolean hasLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Specified by:
  `hasLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the lazy field is set.

### getLazy

public boolean getLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Specified by:
  `getLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The lazy.

### hasUnverifiedLazy

public boolean hasUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Specified by:
  `hasUnverifiedLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the unverifiedLazy field is set.

### getUnverifiedLazy

public boolean getUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Specified by:
  `getUnverifiedLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The unverifiedLazy.

### hasDeprecated

public boolean hasDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Specified by:
  `hasDeprecated` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the deprecated field is set.

### getDeprecated

public boolean getDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Specified by:
  `getDeprecated` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The deprecated.

### hasWeak

public boolean hasWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Specified by:
  `hasWeak` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the weak field is set.

### getWeak

public boolean getWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Specified by:
  `getWeak` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The weak.

### hasDebugRedact

public boolean hasDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Specified by:
  `hasDebugRedact` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the debugRedact field is set.

### getDebugRedact

public boolean getDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Specified by:
  `getDebugRedact` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The debugRedact.

### hasRetention

public boolean hasRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Specified by:
  `hasRetention` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the retention field is set.

### getRetention

public DescriptorProtos.FieldOptions.OptionRetention getRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Specified by:
  `getRetention` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The retention.

### getTargetsList

public List<DescriptorProtos.FieldOptions.OptionTargetType> getTargetsList()
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargetsList` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  A list containing the targets.

### getTargetsCount

public int getTargetsCount()
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargetsCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The count of targets.

### getTargets

public DescriptorProtos.FieldOptions.OptionTargetType getTargets(int index)
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargets` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The targets at the given index.

### getEditionDefaultsList

public List<DescriptorProtos.FieldOptions.EditionDefault> getEditionDefaultsList()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaultsOrBuilderList

public List<? extends DescriptorProtos.FieldOptions.EditionDefaultOrBuilder> getEditionDefaultsOrBuilderList()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsOrBuilderList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaultsCount

public int getEditionDefaultsCount()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaults

public DescriptorProtos.FieldOptions.EditionDefault getEditionDefaults(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaults` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaultsOrBuilder

public DescriptorProtos.FieldOptions.EditionDefaultOrBuilder getEditionDefaultsOrBuilder(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### hasFeatures

public boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `hasFeatures` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the features field is set.

### getFeatures

public DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `getFeatures` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The features.

### getFeaturesOrBuilder

public DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `getFeaturesOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### hasFeatureSupport

public boolean hasFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `hasFeatureSupport` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the featureSupport field is set.

### getFeatureSupport

public DescriptorProtos.FieldOptions.FeatureSupport getFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `getFeatureSupport` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The featureSupport.

### getFeatureSupportOrBuilder

public DescriptorProtos.FieldOptions.FeatureSupportOrBuilder getFeatureSupportOrBuilder()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `getFeatureSupportOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionList

public List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionCount

public int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOption

public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionOrBuilder

public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.ExtendableMessage<DescriptorProtos.FieldOptions>`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FieldOptions parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FieldOptions parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FieldOptions parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.FieldOptions.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.FieldOptions.Builder newBuilder()

### newBuilder

public static DescriptorProtos.FieldOptions.Builder newBuilder(DescriptorProtos.FieldOptions prototype)

### toBuilder

public DescriptorProtos.FieldOptions.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.FieldOptions.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static DescriptorProtos.FieldOptions getDefaultInstance()

### parser

public static Parser<DescriptorProtos.FieldOptions> parser()

### getParserForType

public Parser<DescriptorProtos.FieldOptions> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public DescriptorProtos.FieldOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`